#include "2048.h"

Game game_init(size_t field_size) {
    Game game;
    game.field_size = field_size;
    game.score = 0;
    game.field = malloc(sizeof(uint16_t *) * field_size);
    for (size_t i = 0; i < field_size; i++) {
        game.field[i] = calloc(field_size, sizeof(uint16_t) * field_size);
    }
    return game;
}

void game_destroy(Game game) {
    for (size_t i = 0; i < game.field_size; i++) {
        free(game.field[i]);
    }
    free(game.field);
    game.field = NULL;
}

uint8_t game_move(Game *game, Direction direction) {
    return 0;
}